#!/bin/bash

if [ -z "$1" ]; then
	echo "Usage: $0 <dir> patches to apply"
	exit 1
fi

DIR=$1

shift

echo "Patching $DIR with $*"

for a in $*; do 
	# check for patches which was already applied
	if patch -d $DIR --dry-run -p1 -f -R < $a > /dev/null; then
		echo $a already applied
	else
		# try to apply patches
		if patch -d $DIR --dry-run -p1 -f < $a > /dev/null; then
			patch -d $DIR -p1 -f < $a || exit 1
		else
			echo "Can not apply $a cleanly"
			exit 1
		fi
	fi
done

exit 0
